Bug 1301229 - [doc] TCmalloc 2.4 tunable thread cache size
[doc] TCmalloc 2.4 tunable thread cache size
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
1.3.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 1.3.2
Assigned To: Bara Ancincova
ceph-qe-bugs
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 17:35 EST by Federico Lucifredi
Modified: 2016-03-01 03:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 03:23:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Federico Lucifredi 2016-01-22 17:35:53 EST
Description of problem:


RHCS 1.3.2 runs on RHEL 7.2's TCmalloc (version 2.4) which allows tuning of the thread cache.

We need to document 

1. What the default is (128MB)
2. That it changed from previous releases, where it was 32MB
3. How to change the thread cache size from ceph.conf. Sage wrote a patch to take care of this, bug 1297502 tracks that RFE.
Comment 2 Federico Lucifredi 2016-01-22 17:38:16 EST
This is one of two late-breaking doc bugs. Anjana has been informed.
Comment 3 Ken Dreyer (Red Hat) 2016-02-03 11:45:27 EST
Please note that the config file to change is:

/etc/sysconfig/ceph (RHEL)

/etc/default/ceph (Ubuntu)
Comment 7 rakesh 2016-02-05 14:28:30 EST
This bug is not seen in ubuntu. I have checked in "/etc/default/ceph" of Jan 26th 2016 build and the value is TCMALLOC_MAX_TOTAL_THREAD_CACHE_BYTES=128MB in all the osds. However the bug has been verified by Rachana in RHEL. So moving it to Verified stage.

Note You need to log in before you can comment on or make changes to this bug.